package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumMerchantSubsidyStatus {

    NOT_SUBSIDY(0, "未补贴"),
    AUTO_SUBSIDIED(1, "已自动补贴"),
    MANUAL_SUBSIDIED(2, "已手工补贴"),
    ;

    public static EnumMerchantSubsidyStatus getEnum(Integer code) {
        for (EnumMerchantSubsidyStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumMerchantSubsidyStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
